Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031857
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-01-11 12:292016-03-17 10:54
ReporterioritzCiaView Statuspublic 
Assigned Toaferraz 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisioncd58855d10a6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031857: End year close does not handle well connections when using EndYearCloseUtilityData.updateClose

DescriptionThere is an error when handling connections in src/org/openbravo/erpCommon/businessUtility/EndYearCloseUtility.java file whe using EndYearCloseUtilityData.updateClose method. This method receives the connection as an argument and that connection is not automatically handled. In the following lines:

if (EndYearCloseUtilityData.updateClose(con, conn, vars.getUser(), strYearId, strOrgId) == 0) {
   String strAllPeriodsErr = Utility.messageBD(conn, "AllPeriodsPermanentClosed",
   vars.getLanguage());
   return Utility.translateError(conn, vars, vars.getLanguage(), strAllPeriodsErr);
}

When the return statement is executed, the connection is not handled as the command to handle it is about 5 lines below, but it does not get executed.

This problem happens more than once in this file, all of them should be fixed.
Steps To ReproduceClose the year.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0083377)
hgbot (developer)
2016-01-18 15:48

Repository: erp/devel/pi
Changeset: cd58855d10a699136d52538cb80d0fd6a6699927
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Jan 14 14:51:22 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cd58855d10a699136d52538cb80d0fd6a6699927 [^]

Fixes issue 31857: End year close does not handle well connections

Update every error return in EndYearCloseUtility with throw new OBException in order to handle every error in catch statement, where it is included the releaseRollbackConnection.

---
M src/org/openbravo/erpCommon/businessUtility/EndYearCloseUtility.java
---
(0083378)
hgbot (developer)
2016-01-18 15:48

Repository: erp/devel/pi
Changeset: eb8ad8b3ea7d49063bc95db8bb14093f70e45851
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Jan 18 15:27:35 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/eb8ad8b3ea7d49063bc95db8bb14093f70e45851 [^]

Related to issue 31857: code review improvements

processButtonClose() method returns the String ProcessRunError instead of the exception.
Later on this string is evaluated to throw the right exception if necessary

---
M src/org/openbravo/erpCommon/businessUtility/EndYearCloseUtility.java
---
(0083379)
vmromanos (developer)
2016-01-18 15:48

Code review + testing OK
(0085049)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085050)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-11 12:29 ioritzCia New Issue
2016-01-11 12:29 ioritzCia Assigned To => Triage Finance
2016-01-11 12:29 ioritzCia Modules => Core
2016-01-11 12:29 ioritzCia Triggers an Emergency Pack => No
2016-01-11 12:38 ioritzCia Description Updated View Revisions
2016-01-12 18:22 gorka_gil Issue Monitored: egoitz
2016-01-13 17:54 aferraz Status new => scheduled
2016-01-13 17:54 aferraz Assigned To Triage Finance => aferraz
2016-01-18 15:48 hgbot Checkin
2016-01-18 15:48 hgbot Note Added: 0083377
2016-01-18 15:48 hgbot Status scheduled => resolved
2016-01-18 15:48 hgbot Resolution open => fixed
2016-01-18 15:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cd58855d10a699136d52538cb80d0fd6a6699927 [^]
2016-01-18 15:48 hgbot Checkin
2016-01-18 15:48 hgbot Note Added: 0083378
2016-01-18 15:48 vmromanos Review Assigned To => vmromanos
2016-01-18 15:48 vmromanos Note Added: 0083379
2016-01-18 15:48 vmromanos Status resolved => closed
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085049
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085050


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker